Cyberduck Mountain Duck CLI

#9793 closed defect (fixed)

Error uploading to S3 if s3.signature.version=AWS2: "Failure to read attributes of <bucketname>"

Reported by: rkin005 Owned by: dkocher
Priority: normal Milestone: 5.3
Component: s3 Version: 5.2.2
Severity: normal Keywords:
Cc: Architecture: Intel
Platform: Windows 10

Description (last modified by dkocher)

In order to generate signed urls that last longer than a month I have a user preference setting like this in my user.config file:

      <setting name="s3.signature.version" value="AWS2" />

This works great for generating signed urls, but when I try to upload a file I get an error. The Transfer window opens and authenticates and then I get a popup message "Failure to read attributes of <bucketname>.", "The request signature we calculated does not match the signature you provided. Check your key and signing method. Please contact your web hosting service provider for assistance."

Nothing appears in the Log Drawer for this upload/error.

If I close Cyberduck, remove the setting from my user.config, reopen then I'm able to upload the file just fine. I can then only generate urls valid up to 1 month in the future so I need to close, add the setting back, reopen to generate longer lasting urls.

Version is 5.2.3 (not available in dropdown), build 21496.

Change History (5)

comment:1 Changed on Dec 27, 2016 at 8:47:41 PM by dkocher

  • Component changed from core to s3
  • Description modified (diff)
  • Milestone set to 6.0
  • Owner set to dkocher
  • Status changed from new to assigned

comment:2 Changed on Jan 10, 2017 at 11:54:48 AM by dkocher

Possibly related to #9747.

comment:3 Changed on Jan 11, 2017 at 8:33:37 AM by dkocher

  • Milestone changed from 6.0 to 5.3

Milestone renamed

comment:4 Changed on Jan 11, 2017 at 11:39:59 AM by dkocher

We can reproduce the issue.

GET /?accelerate HTTP/1.1
Date: Wed, 11 Jan 2017 11:39:35 GMT
x-amz-request-payer: requester
Authorization: ********
Host: test-us-east-1-mountainduck.s3.amazonaws.com:443
Connection: Keep-Alive
User-Agent: Cyberduck/SNAPSHOT.SNAPSHOT (Mac OS X/10.12.2) (x86_64)
HTTP/1.1 403 Forbidden
x-amz-request-id: 4069E09F824933FE
x-amz-id-2: bsKSX85YO3O8hrNmauaLZV5TXouC5suydNU5uE6I6qdemo9D5bZe4HqIx8YbxdnrDGbzPTQz130=
Content-Type: application/xml
Transfer-Encoding: chunked
Date: Wed, 11 Jan 2017 11:39:35 GMT
Server: AmazonS3

comment:5 Changed on Jan 11, 2017 at 12:52:01 PM by dkocher

  • Resolution set to fixed
  • Status changed from assigned to closed

In r23442.

Note: See TracTickets for help on using tickets.
swiss made software